import { FeatureSystem } from '../../core/feature-system';
import { PropertyEntity } from '../../entities/property.entity';

export class PropertySystem extends FeatureSystem {
    properties: PropertyEntity[] = [];
    getPropertyByNetId(_netId: number): PropertyEntity | null { return null; }
    getPropertyByExactId(_id: number): PropertyEntity | null { return null; }
    getApartmentNumber(_property: PropertyEntity): number | null { return null; }
    async refreshFurnitureSlots(_property: PropertyEntity): Promise<void> {}
}

export const propertySystem = new PropertySystem();
